Bug 826480 - yum update fails on ERROR with transaction check vs depsolve:
yum update fails on ERROR with transaction check vs depsolve:
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
17
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-30 06:02 EDT by virason
Modified: 2014-01-21 18:22 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:56:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description virason 2012-05-30 06:02:15 EDT
Description of problem:

both cli and gnome yum fail to update new upgrade from Fedora 16 to Fedora 17
Version-Release number of selected component (if applicable):


How reproducible:
100% every attempt to rum yum update fails.

Steps to Reproduce:
1. rum yum update
2.
3.
  
Actual results:
ERROR with transaction check vs depsolve:
libcups.so.2 is needed by gtk2-2.24.10-1.fc17.i686
mesa-dri-filesystem(x86-32) is needed by mesa-dri-drivers-8.0.3-1.fc17.i686
Please report this error at https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum

Expected results:
software update

Additional info:

cli yum update returns:
Running Transaction Check
ERROR with transaction check vs depsolve:
mesa-dri-filesystem(x86-32) is needed by mesa-dri-drivers-8.0.3-1.fc17.i686
libcups.so.2 is needed by gtk2-2.24.10-1.fc17.i686
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
** Found 114 pre-existing rpmdb problem(s), 'yum check' output follows:
Comment 1 Petter Häggholm 2012-06-01 00:34:41 EDT
I was able to work around the cups dependency by simply removing the i686 version of gtk2 (which in turn was only required by nspluginwrapper). I could then reinstall it if I so desired.

yum remove gtk2.i686
yum install gtk2.i686

As for the hundreds of other problems, I got around them by a combination of

yum distro-upgrade
yum list installed | grep fc16 | cut -d " " -f 1 | xargs yum upgrade -y
Comment 2 Robert Nanney 2012-06-02 12:22:25 EDT
(In reply to comment #1)
> I was able to work around the cups dependency by simply removing the i686
> version of gtk2 (which in turn was only required by nspluginwrapper). I
> could then reinstall it if I so desired.
> 
> yum remove gtk2.i686
> yum install gtk2.i686
> 
> As for the hundreds of other problems, I got around them by a combination of
> 
> yum distro-upgrade
> yum list installed | grep fc16 | cut -d " " -f 1 | xargs yum upgrade -y

This worked for me and also took care of the "kernel panic" on shutdown issue
Comment 3 Swaraj Yadav 2012-06-02 23:24:08 EDT
For me there was no package as gtk2.i686 installed and the command

yum list installed | grep fc16 | cut -d " " -f 1 | xargs yum upgrade -y

also failed stating that could not remove following packages..

krb5-libs.i686                       1.9.3-1.fc16             @updates/16       
libdrm.i686                          2.4.33-1.fc16            @updates/16       
libuuid.i686                         2.20.1-2.3.fc16          @updates/16       
libxcb.i686                          1.7-3.fc16               @fedora/16        
llvm-libs.i686                       2.9-10.fc16              @updates/16       
mesa-dri-drivers.i686                7.11.2-3.fc16            @updates/16       
mesa-libGL.i686                      7.11.2-3.fc16            @updates/16       
openssl.i686                         1.0.0i-1.fc16            @updates/16


I removed them manually using yum remove for each of them and rerun 

yum list installed | grep fc16 | cut -d " " -f 1 | xargs yum upgrade -y

after that yum update worked for me.
Comment 4 Arihant 2012-09-01 10:55:42 EDT
(In reply to comment #1)
> I was able to work around the cups dependency by simply removing the i686
> version of gtk2 (which in turn was only required by nspluginwrapper). I
> could then reinstall it if I so desired.
> 
> yum remove gtk2.i686
> yum install gtk2.i686

This is the error what I got when I tried to use the 2nd command

Error: Protected multilib versions: gtk2-2.24.11-1.fc17.i686 != gtk2-2.24.10-1.fc17.x86_64
Comment 5 Fedora End Of Life 2013-07-03 22:17:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 03:56:16 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.